Subject: [PATCH] ARM: fix exynos randconfig build error

From: [email-masked] (Kukjin Kim)
Date: Fri, 27 Feb 2015 06:30:57 +0900

On 02/25/15 20:46, Krzysztof Kozlowski wrote:
> 2015-02-25 12:26 GMT+01:00 Russell King <[email-masked]>:
>> The following error was observed with SMP=n in v4.0-rc1:
>>
>> arch/arm/mach-exynos/pm.c: In function 'exynos_cpu0_enter_aftr':
>> arch/arm/mach-exynos/pm.c:246:4: error: implicit declaration of function 'arch_send_wakeup_ipi_mask' [-Werror=implicit-function-declaration]
>>
>> As the code unconditionally calls a function only available with SMP=y,
>> make the Exynos PM support depend on SMP.
>>
>> Signed-off-by: Russell King <[email-masked]>
> 
> Hi,
> 
> Thanks for the patch but this already waits for Kukjin top be picked
> up. The first patch was similar to yours (adds dependency on SMP),
> sent on 4th of February:
> https://patchwork.ozlabs.org/patch/436231/
> 
> But later Bartlomiej fixed this in other way (allowing to use cpuidle
> on non-SMP):
> https://patchwork.ozlabs.org/patch/436445/
> 
> Unfortunately none of them were picked up.
> 
I've missed the fix, sorry.

BTW, as you know, all of exynos SoCs are based on SMP so generally (in
normal case) there is no reason to use non-SMP on exynos
platforms...even though I understand the build error should be fixed...

Anyway, I'll have a look Bart's patch and Russell's fix in this weekend.

Thanks for your kindly pointing out.
Kukjin